using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NumericUpDownControl
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
			InitInstance();
		}

		private void InitInstance()
		{
			numericUpDown.Value = 36.5M;
			numericUpDown.Increment = 0.5M;
			numericUpDown.DecimalPlaces = 1;
		}

		private void numericUpDown_ValueChanged(object sender, EventArgs e)
		{
			decimal C = numericUpDown.Value;
			decimal F = C * (9M / 5M) + 32M;

			label.Text = F.ToString();
		}
	}
}
